# uncomment the version of ruby that you want to run
#FROM ruby:2.4
#FROM ruby:2.5
FROM ruby:2.6

RUN mkdir /usr/src/app 
ADD . /usr/src/app/ 
WORKDIR /usr/src/app/ 

RUN gem update --system
RUN gem install bundler:2.0.1
RUN bundle install

WORKDIR /usr/src/app

CMD  ["jekyll", "serve", "--incremental"]